Gantry::Conf::Provider::HTTP::Config::General(3)

NAME
Gantry::Conf::Provider::HTTP::Config::General -- Uses Config::General to configure your Gantry application

SYNOPSIS
use Gantry::Conf::Provider::HTTP::Config::General;

my $config_hash = Gantry::Conf::Provider::HTTP::Config::General->config($url);

DESCRIPTION
This is the provider to allow Gantry::Conf to be able to handle Config::General aka Apache style configuration files received via the web.

METHODS

config
    Returns a conf subhash constructed by using Config::General on the result of an http(s) query.

SEE ALSO
Gantry(3), Gantry::Conf(3), Config::General(3)

AUTHOR
Frank Wiles <frank@revsys.com>

COPYRIGHT and LICENSE
Copyright (c) 2006, Revolution Systems, LLC.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.